GLIBC_2.25 и GLIBC_2.27 в 4k video downloader

погружаемся в мир звука, графики и видео
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
Аватара пользователя

Автор темы
madesta
Сообщения: 469
Зарегистрирован: 11 июн 2017, 18:47
Решено: 7
Благодарил (а): 29 раз
Поблагодарили: 85 раз

GLIBC_2.25 и GLIBC_2.27 в 4k video downloader

Сообщение madesta » 10 дек 2019, 21:39

Linux Mint 18.3 xfce 64 bit

После обновления ПО 4k video downloader программа перестала запускаться.

При запуске через терминал было выведено:
4kvideodownloader
/usr/lib/4kvideodownloader/4kvideodownloader-bin: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /usr/lib/4kvideodownloader/libQt5Core.so.5)
/usr/lib/4kvideodownloader/4kvideodownloader-bin: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by /usr/lib/4kvideodownloader/libavcodec.so.58)
/usr/lib/4kvideodownloader/4kvideodownloader-bin: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.27' not found (required by /usr/lib/4kvideodownloader/libavformat.so.58)
/usr/lib/4kvideodownloader/4kvideodownloader-bin: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by /usr/lib/4kvideodownloader/libmp3lame.so.0)

Может ли кто-нибудь пояснить, что такое GLIBC_2.25 и GLIBC_2.27 ?

Упомянутый в выводе терминала libc.so.6 присутствует как символическая ссылка, указывающая на соседний libc-2.23.so

libso6-1.png
libso6-2.png

Упомянутые в выводе терминала libQt5Core.so.5, libavcodec.so.58, libmp3lame.so.0 в каталоге /usr/lib/4kvideodownloader присутствуют.

Вследствие неработоспособности 4k video downloader для скачивания с youtube в настоящее время используются альтернативные инструменты.
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

WWolf
Сообщения: 1832
Зарегистрирован: 13 фев 2018, 21:51
Решено: 7
Откуда: Краснодар
Благодарил (а): 597 раз
Поблагодарили: 430 раз

GLIBC_2.25 и GLIBC_2.27 в 4k video downloader

Сообщение WWolf » 10 дек 2019, 21:46


Аватара пользователя

Автор темы
madesta
Сообщения: 469
Зарегистрирован: 11 июн 2017, 18:47
Решено: 7
Благодарил (а): 29 раз
Поблагодарили: 85 раз

GLIBC_2.25 и GLIBC_2.27 в 4k video downloader

Сообщение madesta » 11 дек 2019, 08:18

Не сказал бы, что имеет место "... = краш системы". С системой ничего не случилось. При запуске приложения ничего не происходит и на экране не имеется никаких признаков того, что приложение пыталось запуститься. Более понятная картина стала только после того, как возникла идея дать команду через терминал.
Само приложение от производителя представляет из себя deb-пакет. При его просмотре через менеджер архивов бросается в глаза любопытная деталь: наличие 10 файлов, в именовании которых присутствует Qt5. Может быть действительно причина в Qt5, вернее в его отсутствии. Но если производитель на сайте пишет, что приложение для Windows, Mac, Ubuntu (не Kubuntu, а именно Ubuntu с его, насколько понимаю, дефолтным Gnome3), то можно было бы предположить, что необходимые компоненты включены в программу.
Как упоминалось выше, решение вопроса не является жизненно необходимым и уже больше представляет из себя спортивный интерес. Хотя само приложение 4k video downloader удобно в использовании.

P.S. Возможно, что вводит в заблуждение фраза "обновление ПО". Признаю, что не совсем удачная формулировка, которая может быть истолкована двояко. Имеется в виду обновление конкретного приложения, а именно - 4k video downloader. Обновление приложения производилось после уведомления интерфейса программы о наличии новой версии и предложении загрузить deb-пакет c сайта разработчика как это происходит, например, в браузере Slimjet.

Аватара пользователя

WWolf
Сообщения: 1832
Зарегистрирован: 13 фев 2018, 21:51
Решено: 7
Откуда: Краснодар
Благодарил (а): 597 раз
Поблагодарили: 430 раз

GLIBC_2.25 и GLIBC_2.27 в 4k video downloader

Сообщение WWolf » 11 дек 2019, 09:25

madesta, про краш и не ведётся речь, просто отваливается функционал программ...
madesta писал(а):
11 дек 2019, 08:18
то можно было бы предположить, что необходимые компоненты включены в программу.
не показатель, есть такое понятие как зависимости и их тоже надо удовлетворять, если ставишь программы из деб пакета...

Аватара пользователя

Автор темы
madesta
Сообщения: 469
Зарегистрирован: 11 июн 2017, 18:47
Решено: 7
Благодарил (а): 29 раз
Поблагодарили: 85 раз

GLIBC_2.25 и GLIBC_2.27 в 4k video downloader

Сообщение madesta » 11 дек 2019, 10:55

Печаль. Очевидно в обновлённом deb "отвалились" зависимости. Не стоило, видимо, обновляться до нового deb-пакета :sad: , а предыдущего уже что-то на сайте не находится, из выбора только новые deb и portable в виде tar.bz2
Нашёл на сайте форму feedback, задал вопрос разработчикам.

Аватара пользователя

Автор темы
madesta
Сообщения: 469
Зарегистрирован: 11 июн 2017, 18:47
Решено: 7
Благодарил (а): 29 раз
Поблагодарили: 85 раз

GLIBC_2.25 и GLIBC_2.27 в 4k video downloader

Сообщение madesta » 12 дек 2019, 15:05

WWolf был прав. Получено разъяснение от 4k video downloader:

К сожалению, 4K Video Downloader может работать некорректно с Linux Ubuntu 16.04. Эта система довольно старая и нуждается в обновлении, так как все сайты, с которыми мы работаем, такие как YouTube, Facebook и Vimeo, и, следовательно, их библиотеки, постоянно обновляются. Если библиотеки не обновляются, мы не можем гарантировать стабильность работы на всех машинах.

Дали ссылку на предыдущий пакет - https://dl.4kdownload.com/app/4kvideodo ... ce=website

Вывод следующий: у кого Linux Mint 18.3 и кто пользуется 4k video downloader - рекомендуется использовать версию 4.9.3 и не обновляться до 4.10 и выше.

Вопрос решён, модератор тему может закрыть.

Аватара пользователя

rogoznik
Сообщения: 6599
Зарегистрирован: 27 июн 2017, 10:36
Решено: 75
Откуда: Нижний Тагил
Благодарил (а): 351 раз
Поблагодарили: 1192 раза

GLIBC_2.25 и GLIBC_2.27 в 4k video downloader

Сообщение rogoznik » 12 дек 2019, 15:49

madesta писал(а):
12 дек 2019, 15:05
Вопрос решён, модератор тему может закрыть.
:close:
ИзображениеИзображение

Вернуться в «Мультимедиа»